<!DOCTYPE html>
<html>
<head>
    <!-- Google Tag Manager -->
    <script>(function (w, d, s, l, i) {
        w[l] = w[l] || [];
        w[l].push({
            'gtm.start':
                new Date().getTime(), event: 'gtm.js'
        });
        var f = d.getElementsByTagName(s)[0],
            j = d.createElement(s), dl = l != 'dataLayer' ? '&l=' + l : '';
        j.async = true;
        j.src =
            'https://www.googletagmanager.com/gtm.js?id=' + i + dl;
        f.parentNode.insertBefore(j, f);
    })(window, document, 'script', 'dataLayer', 'GTM-MKJNKQR');</script>
    <!-- End Google Tag Manager -->
    <meta charset='utf-8'/>
    <link href='./packages/core/main.css?v=[version]' rel='stylesheet'/>
    <link href='./packages/daygrid/main.css?v=[version]' rel='stylesheet'/>
    <link href='./packages/timegrid/main.css?v=[version]' rel='stylesheet'/>
    <link href='./packages/list/main.css?v=[version]' rel='stylesheet'/>
    <link href='https://use.fontawesome.com/releases/v5.0.6/css/all.css' rel='stylesheet'>
    <link href="../global/vendor/bootstrap/css/bootstrap.css?v=[version]" rel="stylesheet">
    <link href="../global/vendor/bootstrap/css/bootstrap-datetimepicker.css?v=[version]" rel="stylesheet">
    <link href="../global/css/creative.css?v=[version]" rel="stylesheet">
    <link href="../global/css/jquery.qtip.min.css?v=[version]" rel="stylesheet">
    <link href="../global/css/spinner.css?v=[version]" rel="stylesheet">
    <link href="../global/vendor/semanticui/semantic.min.css?v=[version]" rel="stylesheet">
    <link href="./css/calendar.css?v=[version]" rel="stylesheet">
    <link href="./css/theme.css?v=[version]" rel="stylesheet">
    <title>Crowdsoft Easy2Schedule</title>
    <meta
            name='viewport'
            content='width=device-width, initial-scale=1.0, maximum-scale=3.0, user-scalable=0'/>
</head>
<body class="loading" id="page-top">
<!-- Google Tag Manager (noscript) -->
<noscript>
    <iframe src="https://www.googletagmanager.com/ns.html?id=GTM-MKJNKQR"
            height="0" width="0" style="display:none;visibility:hidden"></iframe>
</noscript>
<!-- End Google Tag Manager (noscript) -->
<div id="spinner">
    <div class="loader">
        <div class="face">
            <div class="circle"></div>
        </div>
        <div class="face">
            <div class="circle"></div>
        </div>
        <div>
            Kalender wird geladen...
        </div>
    </div>
</div>
<div id="content" style="display:None;">
    <nav id="mainNav" class="navbar navbar-default navbar-fixed-top">
        <div class="container-fluid">
            <div class="navbar-header">
                <!--                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse"-->
                <!--                        data-target="#bs-example-navbar-collapse-1">-->
                <!--                    <span class="sr-only">Toggle navigation</span> Menu <i class="fa fa-bars"></i>-->
                <!--                </button>-->
                <a class="navbar-brand page-scroll" href="#page-top">Crowdsoft Easy2Schedule</a>
                <div id="system_message" onclick="$('#news_modal').modal('show')" class="">
                    <i id="news_bell" onclick="return false;" class="bell outline icon left" title="News"></i><!--a href="../calendar/">Zurück zum alten Layout</a-->
                </div>
            </div>

            <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
                <ul class="nav navbar-nav navbar-right">
                    <li>
                        <a class="page-scroll" href="https://www.planblick.com">zu planBLICK</a>
                    </li>
                    <li>
                        <a class="page-scroll" href="https://impressum.planblick.com">Impressum</a>
                    </li>
                    <li>
                        <a class="page-scroll" href="https://datenschutz.planblick.com">Datenschutz</a>
                    </li>
                    <li>
                        <a class="page-scroll" href="#"
                           onclick="enterFullscreen(document.documentElement);return false;">Vollbild</a>
                    </li>
                    <li>
                        <a class="page-scroll" href="#" onclick="$('#legend_wrapper').toggle('slide');return false;">Hilfe</a>
                    </li>
                    <!--li>
                        <a class="page-scroll" href="./config.html" data-i18n="configuration">Konfiguration</a>
                    </li-->
                    <li>
                        <a class="page-scroll" href="/dashboard/">Dashboard</a>
                    </li>
                    <li>
                        <a class="page-scroll" href="#" onclick="logout();return false;">Abmelden</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>


    <div id="legend_wrapper" style="display:none;">
        <div>
            <h4 class="help_headline">Tastatur-Shortcuts</h4>
            <img src="/global/img/keyboardicons/f1.png" class="keyboard_helpkey"> Öffnet das Hilfefenster.<br>
            <img src="/global/img/keyboardicons/delete.png" class="keyboard_helpkey"> "Entf"-Taste bei ausgewähltem
            Termin löscht den Termin (Touch-Geräte: Langer-Touch)<br>
            <img src="/global/img/keyboardicons/alt.png" class="keyboard_helpkey"> + <img
                src="/global/img/keyboardicons/n.png" class="keyboard_helpkey"> Öffnet den Termin-Anlegen-Dialog.<br>
            <br><h4 class="help_headline">Funktionen</h4>
            Doppel-Klick auf Termin: Öffnet den Termin<br/>
            Doppel-Klick auf leeren Zeit-Bereich: Öffnet Formular zum anlegen des Termins<br/>
            Markieren eines Zeitbereichs mit der Maus: Öffnet Formular zum anlegen des Termins<br/>
            Einfacher Klick auf Termin: Wählt den Termin aus (z.B. um diesen anschließend zu löschen)<br/>
            Klick auf Datums-Spalte über den Räumen: Öffnet die Tages-Ansicht des angeklickten Datum<br/>
            Klick auf Suche-Button: Öffnet das Suchfeld. Im Suchfeld den Suchbegriff eingeben. Dursucht wird der
            Titel.<br/>
            <br/>

            <span id="colorLegend" style="width: 200px;float:left;text-align:center;">
                <h4>&nbsp;</h4>
                Farben:<br/>
            </span>
        </div>
    </div>
    <div style="clear:both;"></div>
    <br/>
    <div id="side_menu_wrapper" class="closed" style="display:block;">
        <i id="menue_header_icon" onclick="toggleMenu('icons');return false;" class="grid layout icon left">
            <div id="menue_header">Menü</div>
        </i>
        <div id="opened_menue" class="ui vertical menu">
            <div class="item">
                <i class="search icon left"></i>
                <div style="display:flex;" class="ui transparent icon input extended_menue_text">
                    <input id="filter_text" type="text" placeholder="Suche...">
                </div>
            </div>
            <div class="ui divider side_menu"></div>
            <a id="full_side_menu_resourceTimeGridMultiDay" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridMultiDay');return false;" data-calendarview="resourceTimeGridMultiDay" class="menue_item active teal item calendar_view_button">
                <i class="calendar outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Wochenansicht Räume</div>
            </a>
            <a id="full_side_menu_resourceTimeGridMultiDay3" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridMultiDay3');return false;" data-calendarview="resourceTimeGridMultiDay3" class="menue_item teal item calendar_view_button">
                <i onclick="return false;" class="user outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Wochenansicht Termine</div>
            </a>
            <a id="full_side_menu_resourceTimeGridDay" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridDay');return false;" data-calendarview="resourceTimeGridDay" class="menue_item teal item calendar_view_button">
                <i class="calendar icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Tagesansicht Räume</div>
            </a>
            <a id="full_side_menu_resourceTimeGridDay2" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridDay2');return false;" data-calendarview="resourceTimeGridDay2" class="menue_item teal item calendar_view_button">
                <i class="user icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Tagesansicht Termine</div>
            </a>
            <a id="full_side_menu_timeGridDay" onclick="setActiveClassForMenu(this);calendar.changeView('timeGridDay');return false;" data-calendarview="timeGridDay" class="menue_item teal item calendar_view_button">
                <i class="calendar alternate outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Tagesansicht</div>
            </a>
            <a id="full_side_menu_dayGridMonth" onclick="setActiveClassForMenu(this);calendar.changeView('dayGridMonth');return false;" data-calendarview="dayGridMonth" class="menue_item teal item calendar_view_button">
                <i class="calendar alternate outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Monatsansicht</div>
            </a>
            <div class="ui divider side_menu"></div>
            <a id="full_side_menu_newEvent" onclick="setFormFields('appointment', null);return false;" class="menue_item teal item">
                <i class="calendar plus outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Neuer Termin</div>
            </a>
            <a id="full_side_menu_editEvent" onclick="edit_event();return false;" class="menue_item teal item">
                <i class="edit outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Termin bearbeiten</div>
            </a>
            <a id="full_side_menu_deleteEvent" onclick="deleteEvent();return false;" class="menue_item teal item">
                <i class="trash alternate outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Termin löschen</div>
            </a>
            <div class="ui divider side_menu"></div>
            <a id="full_side_menu_easy2do" onclick="location.href='./scheduler.html'" class="menue_item teal item">
                <i class="trash alternate outline icon left"></i>
                <div style="display:flex;" class="extended_menue_text">Easy2Do</div>
            </a>
        </div>
        <div id="icon_menue" class="ui vertical menu icons">

            <i id="icon_side_menu_toggleMenu" onclick="toggleMenu('full');return false;" class="grid layout icon menue_icon_only" title="Menü aufklappen"></i>
            <i id="icon_side_menu_search" onclick="toggleMenu('full', focus_search);return false;" class="search icon menue_icon_only" title="Suche"></i>
            <div class="ui divider side_menu"></div>
            <i id="icon_side_menu_resourceTimeGridMultiDay" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridMultiDay');return false;" data-calendarview="resourceTimeGridMultiDay" class="menue_item calendar outline icon menue_icon_only calendar_view_button active" title="Wochenansicht Räume"></i>
            <i id="icon_side_menu_resourceTimeGridMultiDay3" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridMultiDay3');return false;" data-calendarview="resourceTimeGridMultiDay3" class="menue_item user outline icon menue_icon_only calendar_view_button" title="Wochenansicht Termine"></i>
            <i id="icon_side_menu_resourceTimeGridDay" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridDay');return false;" data-calendarview="resourceTimeGridDay" class="menue_item calendar icon menue_icon_only calendar_view_button" title="Tagesansicht Räume"></i>
            <i id="icon_side_menu_resourceTimeGridDay2" onclick="setActiveClassForMenu(this);calendar.changeView('resourceTimeGridDay2');return false;" data-calendarview="resourceTimeGridDay2" class="menue_item user icon menue_icon_only calendar_view_button" title="Tagesansicht Termine"></i>
            <i id="icon_side_menu_timeGridDay" onclick="setActiveClassForMenu(this);calendar.changeView('timeGridDay');return false;" data-calendarview="timeGridDay" class="menue_item calendar alternate icon menue_icon_only calendar_view_button" title="Tagesansicht alle Termine"></i>
            <i id="icon_side_menu_dayGridMonth" onclick="setActiveClassForMenu(this);calendar.changeView('dayGridMonth');return false;" data-calendarview="dayGridMonth" class="menue_item calendar alternate outline icon menue_icon_only calendar_view_button" title="Monatsansicht Termine"></i>
            <div class="ui divider side_menu"></div>
            <i id="icon_side_menu_newEvent" onclick="setFormFields('appointment', null);return false;" class="calendar plus outline icon menue_icon_only" title="Neuer Termin"></i>
            <i id="icon_side_menu_editEvent" onclick="edit_event();return false;" class="edit outline icon menue_icon_only" title="Termin bearbeiten"></i>
            <i id="icon_side_menu_deleteEvent" onclick="deleteEvent();return false;" class="trash alternate outline icon menue_icon_only" title="Termin löschen"></i>
            <div class="ui divider side_menu"></div>
            <i id="icon_side_menu_easy2do" onclick="location.href='./scheduler.html'" class="trash alternate outline icon menue_icon_only" title="Easy2Do"></i>
        </div>
    </div>
    <div id='calendar' class="wide_menu"></div>
    <div id="overlay">
        <div id="eventFormWrapper">
            <div id="appointmentFormWrapper" class="formWrapper">
                <h2 id="formHeader" class="formHeader">Termin</h2>
                <div id="icon_menu_wrapper" class="icon_menue">
                    <i href="#" title="QR Code generation coming soon..." onclick="openQR();return false;" class="glyphicon glyphicon-qrcode"></i>
                    <i href="#" title="Join meeting" onclick="joinMeeting();return false;" class="glyphicon glyphicon-user"></i>
                    <i id="extended_props_toggle" href="#" onclick="toggleExtendedProps();return false;" class="list icon"
                       title="Zusätzliche Daten"></i>
                    <i href="#" onclick="showHelp();return false;" class="header_help question circle outline icon"
                       title="Hilfe"></i>
                    <i href="#" class="dragger arrows alternate icon" title="Fentser verschieben"></i>
                    <i href="#" onclick="toggleOverlay();return false;" class="close icon" title="Dialog schließen"></i>
                </div>
                <form id="appointment" class="ui form">
                    <div id="default_props_wrapper">
                        <p><label for="starttime">Beginn / Ende:</label><br/>
                            <input type="text" id="starttime" name="starttime"/><input type="text" id="endtime"
                                                                                       name="endtime"/>
                        </p>
                        <!--                    <p><label for="starttime">Ende:</label><br/>-->
                        <!--                        <input type="text" id="endtime" name="endtime"/>-->
                        <!--                    </p>-->
                        <p>
                            <label for="title">Titel:</label><br/>
                            <textarea id="title" name="title"></textarea>
                            <!--input type="text" id="title" name="title"/-->
                        </p>
                        <p>
                            <label id="resource_label" for="resource">Raum:</label><br/>
                            <select name="resource" id="resource">

                            </select>
                        </p>
                        <p>
                            <label id="colors_label" for="colors">Person/Bereich:</label><br/>
                            <select name="colors" id="colors" class="ui fluid search dropdown" multiple>

                            </select>
                        </p>

                        <!--                    <a id="extended_props_toggle" onclick="toggleExtendedProps();">Zusätzliche Daten-->
                        <!--                        ein/aus</a>-->
                    </div>
                    <div id="extended_props_wrapper">

                    </div>
                    <div id="event_form_action_buttons">
                        <p>
                            <input type="hidden" id="event_id" name="event_id"/>
                            <input type="hidden" id="allday" name="allday"/>
                            <input class="ui primary button" type="submit" id="save" name="speichern"
                                   value="Speichern" onclick="$('#appointment').attr('name', 'save');"/>
                            <input class="ui button" type="submit" id="copy" name="copy" value="Als Kopie Speichern"
                                   style="display:none;" onclick="$('#appointment').attr('name', 'copy');"/>
                            <input class="ui button" type="button" id="cancel" name="cancel" value="Abbrechen"
                                   onclick="toggleOverlay();"/>
                        </p>
                    </div>
                </form>
            </div>
            <div id="helpFormWrapper" class="formWrapper" style="display:none;">
                <h2 id="help_header" class="formHeader">Hilfe</h2>
                <div class="icon_menue">&nbsp;<i href="#" onclick="showHelp();return false;" class="close icon"
                                                 title="Zusätzliche Daten"></i></div>
                <form id="help_form" class="form help_form ui form">
                    <div id="help_wrapper">
                        <div class="ui top attached tabular menu">
                            <div class="active item" data-tab="default_help_wrapper">Dialog</div>
                            <div class="item" data-tab="custom_help_wrapper">Felder</div>
                        </div>
                        <div id="default_help_wrapper" class="ui bottom attached active tab segment" data-tab="default_help_wrapper">
                            <p>
                            <h4 class="help_headline">Tastatur-Shortcuts</h4>
                            <img src="/global/img/keyboardicons/esc.png" class="keyboard_helpkey"> Schließt diesen Dialog
                            wenn geöffnet<br>
                            <img src="/global/img/keyboardicons/alt.png" class="keyboard_helpkey"> + <img
                                src="/global/img/keyboardicons/n.png" class="keyboard_helpkey"> Öffnet diesen Dialog wenn er
                            nicht geöffnet ist.<br>
                            <img src="/global/img/keyboardicons/f1.png" class="keyboard_helpkey"> Öffnet das
                            Hilfefenster.<br>
                            </p>
                            <p><h4 class="help_headline">Icons</h4>
                            <i href="#" onclick="toggleExtendedProps();return false;" class="list icon"
                               title="Zusätzliche Daten"></i>: Mittels Klick auf dieses Feld können weitere Daten
                            eingeblendet werden
                            welche für Ihre Firma konfiguriert worden sind.<br>
                            Beginn / Ende, Titel, Raum, Person/Bereich sind Stammfelder für jeden Termin und daher immer
                            sichtbar.<br><br>
                            <i href="#" class="dragger arrows alternate icon" title="Fenster verschieben"></i>Mittels Klick
                            auf dieses Icon können Sie das Fenster verschieben. Die Position wird jedoch nicht gespeichert
                            sondern beim nächsten Aufruf der Seite zurück gesetzt.</p>
                        </div>
                        <div id="custom_help_wrapper" class="ui bottom attached tab segment" data-tab="custom_help_wrapper">
                            Es wurde keine Beschreibung für die Felder hinterlegt
                        </div>
                    </div>
                </form>
            </div>
        </div>

    </div>
    <video id="video" width="1920" height="1080" style="display:none;"></video>
    <canvas id="canvasOutput" width="1920" height="1080" style="display:none;"></canvas>
    <script src="./packages/core/main.min.js?v=[version]"></script>
    <script src="./packages/daygrid/main.min.js?v=[version]"></script>
    <script src="./packages/timegrid/main.min.js?v=[version]"></script>
    <script src="./packages/resource-common/main.min.js?v=[version]"></script>
    <script src="./packages/resource-daygrid/main.min.js?v=[version]"></script>
    <script src="./packages/resource-timegrid/main.min.js?v=[version]"></script>
    <script src="./packages/interaction/main.min.js?v=[version]"></script>
    <script src="./js/moment-with-locales.min.js?v=[version]"></script>
    <script src="../global/vendor/jquery/jquery.min.js?v=[version]"></script>
    <script src="../global/vendor/bootstrap/js/bootstrap.min.js?v=[version]"></script>
    <script src="../global/vendor/bootstrap/js/bootstrap-datetimepicker.js?v=[version]"></script>
    <script src="../global/vendor/jquery/jquery.blockUI.js?v=[version]"></script>
    <script src="../global/vendor/jquery/jquery.cookie.js?v=[version]"></script>
    <script src="/cookieconsent.js?v=[version]"></script>
    <script src="../global/vendor/semanticui/semantic.min.js?v=[version]"></script>
    <script src="../global/js/jquery.qtip.min.js?v=[version]"></script>
    <script src="../global/js/account-api.js?v=[version]"></script>
    <script src="../global/js/helpers.js?v=[version]"></script>
    <script type="text/javascript" src="../global/js/config.js?v=[version]"></script>
    <script src="./js/functions.js?v=[version]"></script>
    <script src="./js/eventlistener.js?v=[version]"></script>
    <script src="./js/pbcalendar.js?v=[version]"></script>
    <script src="../global/vendor/socket.io.js"></script>
    <script src="../global/js/sockets.js?v=[version]"></script>
    <script src="../global/js/capture.js?v=[version]"></script>
    <script src="../pbcdn/vendor/aes.js?v=[version]"></script>
    <script type="text/javascript">
        getapikeyfor("guest", "guest", setTemporaryGuestKey)

        function setTemporaryGuestKey(key) {
            $.cookie("guestapikey", key, {path: '/'});
        }

        function joinMeeting() {
            event_id = $("#event_id").val()
            let sid = CryptoJS.MD5(event_id + getCookie("consumer_name")) + CryptoJS.MD5(getCookie("consumer_name"))
            let url = "https://www.simplycollect.de/meet.html?sid=" + sid + "&u=" + getCookie("username") + "&c=" + getCookie("consumer_name") + "&k=" + getCookie("apikey")
            window.open(
                url,
                '_blank'
            );
        }

        function openQR() {
            event_id = $("#event_id").val()
            if (event_id.length <= 0) {
                alert("Für diesen Termin liegen noch nicht alle notwendigen Daten vor.\nBitte speichern sie den Termin, laden Sie Easy2Schedule neu und versuchen sie es erneut.")
                return
            }
            console.log("EVENTID", event_id)
            let contact_id = "easy2schedule_" + event_id
            let sid = CryptoJS.MD5(event_id + getCookie("consumer_name")) + CryptoJS.MD5(getCookie("consumer_name"))
            let data = {
                qrcontent: "https://www.simplycollect.de/part.html?sid=" + sid,
                title: "Termineinladung " + getCookie("consumer_name"),
            }
            data = encrypt(JSON.stringify(data), "secret")
            console.log("DECRYPTED", decrypt(data, "secret"))
            let url = "./qr.html?data=" + encodeURIComponent(data)

            window.open(
                url,
                '_blank'
            );
        }
    </script>

</div>
<div id="news_modal" class="ui basic modal news">
    <div class="header">Neuigkeiten<i href="#" onclick="$('#news_modal').modal('hide');return false;" class="close icon news_close" title="News schließen"></i>
    </div>
    <div id="news_container" class="content">
    </div>
    <div>keine weiteren News - Alle bisherigen News finden Sie unter <a href="../news/">Crowdsoft News</a></div>
</div>
<div id="view_date_modal" class="ui modal dateselect">
    <div class="header">Datum wählen<i href="#" onclick="$('#view_date_modal').modal('hide');return false;" class="close icon news_close"></i>
    </div>
    <div id="view_date_container" class="content">
        <input id="view_date_input"/>
    </div>
</div>
</body>
</html>
